<?php
/**********************************************************************************
* Notepad.php                                                                     *
* =============================================================================== *
* Software Version:           SMF 1.1 & 2.0                                       *
* Mod Version:                1.3.1                                              *
***********************************************************************************
* Member Notepad mod by Kays                                                      *
**********************************************************************************/

if (!defined('SMF'))
	die('Hacking attempt...');

function Notepad()
{
	global $db_prefix, $context, $txt, $notes, $id_member, $modSettings, $smcFunc;

	if(!$context['user']['is_logged'] || empty($modSettings['notepad_enable_use']))
		fatal_lang_error($txt['cannot_use_notepad'], false);
	
	IsAllowedTo('use_notepad');

	if(isset($_POST['id']))
		$id = (int) $_POST['id'];

	if(isset($_GET['note']))
		$id = (int) $_GET['note'];

	$id_member = $context['user']['id'];

	// Is JavaScript disabled?
	if(isset($_REQUEST['nojs']))
		$context['nojs'] = array();
		
	// Are we adding or editing?	
	if(isset($_POST['sa']))
	{					
		checkSession('post');
		
		//Do some checking for empty fields etc.
		$error = array();
		$_POST['body'] = trim($_POST['body']);
		if(empty($_POST['body']))
			$error['no_body'] = $txt['notes_error1'];

		if($_POST['body'] == $txt['notes_add_new_text'])
			$error['change_body'] = $txt['notes_error2'];

		// Shorten the subject if too long and remove up any white space.
		$_POST['subject'] = trim(stripslashes($_POST['subject']));
		if(strlen($_POST['subject']) > 50)
			$_POST['subject'] = shorten_subject($_POST['subject'], 47);

		if($_POST['subject'] == $txt['notes_add_new_title'] || $_POST['subject'] == $txt['notes_no_subject'])
		{
			$error['change_subject'] = $txt['notes_error3'];
			if(!isset($error['no_body']) && !isset($error['change_body']))
				$_POST['subject'] = $txt['notes_no_subject_display'];
		}

		if(empty($_POST['subject']))
		{
			$error['no_subject'] = $txt['notes_error4'];
			if(!isset($error['no_body']) && !isset($error['change_body']))
				$_POST['subject'] = $txt['notes_no_subject_display'];
		}

		// Create and display the error message. If any.
		if(!empty($error) && !isset($context['nojs']))
		{
			$context['notes_error'] = implode('\n', $error);
			echo'<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '>
	<head>
	</head>
	<body>	
		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
		alert("', $context['notes_error'], '");
		// ]]></script>
	</body>
</html>';
		}
		elseif(!empty($error) && isset($context['nojs']))
			$context['notes_error'] = '<div class="error">' . implode('<br />', $error) . '</div>';

		$_POST['subject'] = strtr(htmlspecialchars($_POST['subject'], ENT_QUOTES), array("\r" => '', "\n" => '', "\t" => ''));
		$_POST['body'] = htmlspecialchars(stripslashes($_POST['body']), ENT_QUOTES);

		// Lets add it to the database now.
		if($_POST['sa'] == 'add' && !isset($error['no_body']) && !isset($error['change_body']))
		{
			if (isset($smcFunc))
			{
				$smcFunc['db_insert']('',
					'{db_prefix}member_notes',
					array(
						'id_member' => 'int', 'subject' => 'string', 'body' => 'string',
					),
					array(
						$id_member, $_POST['subject'], $_POST['body'],
					),
					array()
				);
				$id = $smcFunc['db_insert_id']('{db_prefix}member_notes', 'id_note');
			}
			else
			{

				db_query("
					INSERT INTO {$db_prefix}member_notes 
						(id_member, subject, body) 
					VALUES ($id_member, '$_POST[subject]', '$_POST[body]')", __FILE__, __LINE__);
				$id = db_insert_id();
			}
		}
		elseif($_POST['sa'] == 'edit' && !empty($id) && !isset($error['no_body']))
		{
			if (isset($smcFunc))
			{
				$smcFunc['db_query']('', '
					UPDATE {db_prefix}member_notes
					SET body = {string:body}, subject = {string:subject}
					WHERE id_note = {int:note}
						AND id_member = {int:member}',
					array(
						'body' => $_POST['body'],
						'subject' => $_POST['subject'],
						'note' => $id,
						'member' => $id_member,
					)
				);
			}
			else
			{
				db_query("
					UPDATE {$db_prefix}member_notes
					SET body = '$_POST[body]', subject = '$_POST[subject]'
					WHERE id_note = $id 
						AND id_member = $id_member
					LIMIT 1", __FILE__, __LINE__);
			}
		}
	}
		
	// Is someone deleting a note?
	if(isset($_GET['sa']) && $_GET['sa'] == 'delete' && !empty($id))
	{
		checkSession('get');
		
		if (isset($smcFunc))
		{
			$smcFunc['db_query']('', '
				DELETE FROM {db_prefix}member_notes
				WHERE id_note = {int:note} AND id_member = {int:member}
				LIMIT 1',
				array(
					'note' => $id,
					'member' => $id_member,
				)
			);
		}
		else
		{		
			db_query("
				DELETE FROM {$db_prefix}member_notes
				WHERE id_note = $id AND id_member = $id_member
				LIMIT 1", __FILE__, __LINE__);
		}	
		// Delete the cookie so we get taken to the default note.
		setcookie('Notes', '', time() - 3600);
		$id = 0;
	}

	// Now let's load the template
	loadTemplate('Notepad' . (!isset($smcFunc) ? '1' : ''));
	$context['template_layers'] = array();
	$context['sub_template'] = 'notes' . (isset($context['nojs']) ? '_nojs' : '');
		
	// Query the database for all notes by this member.
	if (isset($smcFunc))
	{
		$result = $smcFunc['db_query']('', '
			SELECT id_note, subject, body
			FROM {db_prefix}member_notes
			WHERE id_member = {int:member}
			ORDER BY subject ASC',
			array(
				'member' => $id_member,
			)
		);
		$cnt = 1;
		$notes = array();
		while ($row = $smcFunc['db_fetch_assoc']($result))
		{
			$notes[] = array(
				'pos' => $cnt++,
				'id' => $row['id_note'],
				'subject' => un_htmlspecialchars($row['subject']),
				'body' => un_htmlspecialchars($row['body']),
			);
		}
		$smcFunc['db_free_result']($result);
	}
	else
	{
		$result = db_query("
			SELECT id_note, subject, body
			FROM {$db_prefix}member_notes
			WHERE id_member = $id_member
			ORDER BY subject ASC", __FILE__, __LINE__);
		
		$cnt = 1;
		$notes = array();
		while ($row = mysql_fetch_assoc($result))
		{
			$notes[] = array(
				'pos' => $cnt++,
				'id' => $row['id_note'],
				'subject' => un_htmlspecialchars($row['subject']),
				'body' => un_htmlspecialchars($row['body']),
			);
		}
		mysql_free_result($result);
	}
	$context['total_notes'] = count($notes);

	// Set a variable to disable submiting a new note if over maximum allowed. If a max limit is set.	
	$context['notes_disabled'] = !allowedTo('ignore_max_notes') && !empty($modSettings['notepad_max_notes']) && $context['total_notes'] >= $modSettings['notepad_max_notes'] ? ' disabled="disabled"' : '';

	// The total notes display at the top of the page.
	if(!empty($context['notes_disabled']))
		$context['display_total'] .= '<span class="error">*</span><i> ';

	$context['display_total'] = $txt['mem_total_notes'] . $context['total_notes'] . ($context['total_notes'] == 1 ? $txt['mem_total_notes1'] : $txt['mem_total_notes2']);	
	if(!allowedTo('ignore_max_notes') && !empty($modSettings['notepad_max_notes']) && ($context['total_notes'] + 5) >= $modSettings['notepad_max_notes'])
		$context['display_total'] .= $txt['mem_total_notes_allowed'] . $modSettings['notepad_max_notes'] . '.';

	if(!empty($context['notes_disabled']))
	{
		$context['display_total'] .= ' </i><span class="error">*</span>';
		$context['notes_disabled'] = ' disabled="disabled"';
	}

	// Find the curent note so we can go to it
	if(!empty($id))
	{
		$context['gotto_note_pos'] = 'New';
		foreach($notes as $check)
		{
			if($id == $check['id'])
			{
				if(isset($context['nojs']))
				{
					$context['nojs']['id'] = $check['id'];
					$context['nojs']['subject'] = $check['subject'];
					$context['nojs']['body'] = $check['body'];
				}
				else
				{
					$context['gotto_note_pos'] = 'Note' . $check['pos'];
					setcookie('Notes', 'Note' . $check['pos']);
				}
				break;
			}
		}
	}

	// Set up the onload for the <body> tag so we end up with the proper page showing.
	if(!empty($context['gotto_note_pos']) && !isset($context['nojs']))
		$context['notes_onload'] = ' onload="changeToVisibility(\'' . $context['gotto_note_pos'] . '\');"';
	elseif((isset($_GET['sa']) && $_GET['sa'] == 'delete') || empty($_COOKIE['Notes']) || !empty($context['notes_error']))
		$context['notes_onload'] = '';
	else
		$context['notes_onload'] = ' onload="changeToVisibility(getCookie(\'Notes\'));"';
}

?>