<?php
// Version: 1.1.13; Notepad

function template_notes()
{
	global $context, $settings, $options, $txt, $notes, $scripturl;

	// Since this is a popup of its own we need to start the html, etc.
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
		<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
		<title>', $txt['mem_notepad'], '</title>
		<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/style.css" />
		<style type="text/css">';

	// Internet Explorer 4/5 and Opera 6 just don't do font sizes properly. (they are bigger...)
	if ($context['browser']['needs_size_fix'])
		echo '
			@import(', $settings['default_theme_url'], '/fonts-compat.css);';
	echo '
		.hide {
			display: none;
		}
		.show {
			display: block;
		}
		.windowbg2 {
			text-decoration: underline;
		}
		</style>
		';

	echo '
		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
			function setHoverStyleOn(element) {
				 element.style.cursor=\'pointer\';
				 element.style.color=\'\';
			 return true;
			}

			function setHoverStyleOff(element) {
				 element.style.cursor=\'\';
				 element.style.color=\'\';
			 return true;
			}

			var SHOW = \'show\';
			var HIDE = \'hide\';
			var numberOfSections = ', $context['total_notes']+1, ';
			var newVisibilities = new Array(numberOfSections);
			var visibilities = new createStyleArray(numberOfSections);
			
			function change(id, newClass) {
				identity=document.getElementById(id);
				identity.className=newClass;
			}
			
			function createStyleArray(n) {
				this.size = n;  //This initialization is absolutely necessary
				this[\'New\'] = getVisibilityArray(0);';

	foreach ($notes as $note)
		echo '
				this[\'Note', $note['pos'], '\'] = getVisibilityArray(', $note['pos'], ');';

	echo '
				return this;         //Return the  array object to the caller.
			}

			//Returns a visibility array with all options set to HIDE
			function getDummyArray() {
				var dummyArray  = new Array(numberOfSections);
				var i = 0;
				for (i=0; i<dummyArray.length; i++) {
					dummyArray[i] = HIDE;
				}
				return dummyArray;
			}

			//Returns a visibility array.
			function getVisibilityArray(arrayIndex) {
				var visibilityArray = getDummyArray();
				visibilityArray[arrayIndex] = SHOW;
				return visibilityArray;
			}
			
			function getCookie(Name) {
				var search = Name + "=";
				if (document.cookie.length > 0) {
					// if there are any cookies
					offset = document.cookie.indexOf(search);
					if (offset != -1) {
						// if cookie exists
						offset += search.length;
						
						// set index of beginning of value
						end = document.cookie.indexOf(";", offset);
						
						// set index of end of cookie value
						if (end == -1)
							end = document.cookie.length;
						
						return unescape(document.cookie.substring(offset, end))
					}
				}
			}
			
			function changeToVisibility(visibilityIndex) {
				if (visibilityIndex >= \'0\') {
					var visibility = visibilities[visibilityIndex];
					change(\'showNew\',visibility[0]);';
					
	foreach ($notes as $note)
		echo '			
					change(\'showNote', $note['pos'], '\',visibility[', $note['pos'], ']);';
					
	echo '
					document.cookie = "Notes=" + visibilityIndex;
				}
			}
		// ]]></script>';
			
	echo '	
	</head>
	<body style="padding-top: 2ex;"', $context['notes_onload'], '>
		<table cellpadding="0" cellspacing="0" align="center" border="1">
			<tr>
				<td height="25" colspan="2" class="catbg" align="center">', $txt['mem_notepad'], '</td>
			</tr>
			<tr class="titlebg">
				<td style="font-size: small; font-weight: normal;" height="30" colspan="2" align="left">', $context['display_total'], '</td>
			</tr>
			<tr class="windowbg">
				<td style="padding: 0px;" class="smalltext" valign="top" width="125">			
					<div style="overflow: auto; height: 425px; padding-top: 2px;">
						<div class="windowbg" onclick="changeToVisibility(\'New\')" style="padding: 7px 0px 2px 5px" onmouseover="this.className=\'windowbg2\', setHoverStyleOn(this)" onmouseout="this.className=\'windowbg\', setHoverStyleOff(this)" >
							<a href="javascript:void(0)" onclick="changeToVisibility(\'New\')">', $txt['add_note'], '</a>
						</div>
						<hr width="90%" />';

	// Build the subject list.					
	foreach ($notes as $note)
		echo '			
						<div class="windowbg" id="showIndex', $note['pos'], '" onclick="changeToVisibility(\'Note', $note['pos'], '\')" style="padding: 0px 0px 5px 5px;" onmouseover="this.className=\'windowbg2\', setHoverStyleOn(this)" onmouseout="this.className=\'windowbg\', setHoverStyleOff(this)" >
							<a href="javascript:void(0)">', parse_bbc(strip_tags($note['subject'], '<span><i>')), '</a>
							<noscript><span class="error">[<a href="', $scripturl, '?action=notepad;id=', $note['id'], ';nojs">*</a>]<br /></span></noscript>
 						</div>';
						
	// The "New note" input fields.
	echo '
					</div>
				</td>				
				<td  width="420" valign="top">
					<div class="show" id="showNew" style="padding: 2px 2px 0px 1px;">
						<noscript><div class="error">', $txt['notes_nojs'], '<br />** <a href="', $scripturl, '?action=notepad;nojs">', $txt['notes_nojs_click'], '</a> **<br />======================</div></noscript>
						<form action="', $scripturl, '?action=notepad" method="post" accept-charset="', $context['character_set'], '" style="margin: 0;"> 
							<div class="smalltext" style="padding: 4px 0px;">
								<input type="text" name="subject" value="', $txt['notes_add_new_title'], '" ', $context['notes_disabled'], ' size="35" maxlength="50" style="font-size: 8pt; padding-left: 5px;" onFocus="if (this.value==\'', $txt['notes_add_new_title'], '\') this.value = \'\';" />
							</div>
							<textarea name="body" cols="60" rows="', $context['browser']['is_ie'] ? 25 : 18, '" ', $context['notes_disabled'], 'style="font-size: 8pt; padding: 5px;" onFocus="if (this.value==\'', $txt['notes_add_new_text'], '\') this.value = \'\';">', $txt['notes_add_new_text'], '</textarea>
							<input type="hidden" name="sa" value="add" />
							<input type="hidden" name="sc" value="', $context['session_id'], '" />
							<div align="center" style="padding: 7px;">
								<input type="submit" value="', $txt['note_submit'], '" ', $context['notes_disabled'], ' />
							</div>
						</form>
					</div>';
					
	// Show all of the notes.
	foreach ($notes as $note)
		echo '			
					<div class="hide" id="showNote', $note['pos'], '" style="padding: 2px 2px 0px 1px; overflow: auto;">
						<form action="', $scripturl, '?action=notepad" method="post" accept-charset="', $context['character_set'], '" style="margin: 0;">
							<div class="smalltext" style="float: right; padding: 4px; text-align: right;">
								<img src="', file_exists($settings['theme_dir'] . '/images/buttons/delete.gif') ? $settings['images_url'] : $settings['default_images_url'], '/buttons/delete.gif " alt="" />&nbsp;
								<a href="', $scripturl, '?action=notepad;sa=delete;note=', $note['id'], ';sesc=', $context['session_id'], '"onclick="return confirm(\'' . $txt['notes_delete_confirm'] . '\');">', $txt['delete_note'], '</a>&nbsp;
							</div>
							<div style="padding: 4px 0px;">
								<input type="text" name="subject" value="', strip_tags($note['subject']), '" size="35" maxlength="50" style="font-size: 8pt; padding-left: 5px;" onFocus="if (this.value==\'', $txt['notes_no_subject'], '\') this.value = \'\';" />
							</div>
							<textarea name="body" cols="60" rows="', $context['browser']['is_ie'] ? 25 : 18, '" style="font-size: 8pt; padding: 5px;">', $note['body'], '</textarea>
							<input type="hidden" name="sa" value="edit" />
							<input type="hidden" name="id" value="', $note['id'], '" />
							<input type="hidden" name="sc" value="', $context['session_id'], '" />
							<div align="center" style="padding: 7px;">
								<input type="button" value="', $txt['note_highlight'], '" onClick="javascript:this.form.body.focus();this.form.body.select();" />
								<input type="submit" value="', $txt['note_edit'], '" />
							</div>
						</form>
					</div>';

	echo '
				</td>
			</tr>
			<tr class="titlebg">
				<td colspan="2" align="center" style=" padding: 10px 0px 10px 0;">
					<a href="javascript:self.close();">', $txt['notes_close'], '</a>
				</td>
			</tr>			
		</table>
	</body>
</html>';
}

function template_notes_nojs()
{
	global $context, $settings, $options, $txt, $notes, $scripturl;

	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
		<title>', $txt['mem_notepad'], '</title>
		<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/style.css" />';

	// Internet Explorer 4/5 and Opera 6 just don't do font sizes properly. (they are bigger...)
	if ($context['browser']['needs_size_fix'])
		echo '
		<style type="text/css">
			@import(', $settings['default_theme_url'], '/fonts-compat.css);
		</style>';

	echo '	
	</head>
	<body style="padding-top: 2ex;">
		<table cellpadding="4" cellspacing="0" align="center" border="1">
			<tr>
				<td height="25" colspan="2" class="catbg" align="center">', $txt['mem_notepad'], '</td>
			</tr>
			<tr class="titlebg">
				<td style="font-weight: normal;" class="smalltext" height="30" colspan="2" align="left">', $context['display_total'], '</td>
			</tr>
			<tr class="windowbg">
				<td class="smalltext" valign="top" width="125">			
					<div style="overflow: auto; height: 425px; padding-top: 2px;">
						<div class="windowbg"  style="padding: 2px 0px 5px 5px"  >
							<a href="', $scripturl, '?action=notepad;nojs">', $txt['add_note'], '</a>
						</div>
						<hr width="90%" />';
						
	// Build the subject list.					
	foreach ($notes as $note)
		echo '			
						<div class="windowbg" style="padding: 0px 0px 5px 5px;">
							<a href="', $scripturl, '?action=notepad;note=', $note['id'], ';nojs">', parse_bbc(strip_tags($note['subject'], '<span><i>')), '</a>
						</div>';

	echo '			
					</div>
				</td>				
				<td width="420" valign="top">';

	// Should we show the "New note" input field?
	if(empty($context['nojs']['id']))
		echo '
					<div class="show" id="showNew" style="padding: 2px 2px 0px 1px;">
						<form action="', $scripturl, '?action=notepad" method="post" accept-charset="', $context['character_set'], '" style="margin: 0;"> 
							<div>', isset($context['notes_error']) ? $context['notes_error'] : '', '
								<input type="text" name="subject" value="', $txt['notes_add_new_title'], '" ', $context['notes_disabled'], ' size="35" maxlength="50" style="font-size: 8pt; padding-left: 5px;" />
							</div>
							<textarea name="body" cols="60" rows="', $context['browser']['is_ie'] ? 25 : 18, '" ', $context['notes_disabled'], 'style="font-size: 8pt; padding: 5px;">', $txt['notes_add_new_text'], '</textarea>
							<input type="hidden" name="sa" value="add" />
							<input type="hidden" name="nojs" value="" />
							<input type="hidden" name="sc" value="', $context['session_id'], '" />
							<div align="center" style="padding: 7px;">
								<input type="submit" value="', $txt['note_submit'], '" ', $context['notes_disabled'], ' />
							</div>
						</form>
					</div>';
					
	// Or the selected note.
	else
		echo '			
					<div style="padding: 2px 2px 0px 1px; overflow: auto;">', isset($context['notes_error']) ? $context['notes_error'] : '', '
						<form action="', $scripturl, '?action=notepad" method="post" accept-charset="', $context['character_set'], '" style="margin: 0;">
							<div class="smalltext" style="float: right; padding-top: 2px;" align="right">
								<img src="', file_exists($settings['theme_dir'] . '/images/buttons/delete.gif') ? $settings['images_url'] : $settings['default_images_url'], '/buttons/delete.gif " alt="" />&nbsp;
								<a href="', $scripturl, '?action=notepad;sa=delete;note=', $context['nojs']['id'], ';sesc=', $context['session_id'], ';nojs">', $txt['delete_note'], '</a>&nbsp;
							</div>
							<div style="padding-top: 0px;">
								<input type="text" name="subject" value="', strip_tags($context['nojs']['subject']), '" size="35" maxlength="50" style="font-size: 8pt; padding-left: 5px;" />
							</div>
							<textarea name="body" cols="60" rows="', $context['browser']['is_ie'] ? 25 : 18, '" ', $context['notes_disabled'], 'style="font-size: 8pt; padding: 5px;">', $txt['notes_add_new_text'], '</textarea>
							<input type="hidden" name="sa" value="edit" />
							<input type="hidden" name="id" value="', $context['nojs']['id'], '" />
							<input type="hidden" name="nojs" value="" />
							<input type="hidden" name="sc" value="', $context['session_id'], '" />
							<div align="center" style="padding: 7px;">
								<input type="submit" value="', $txt['note_edit'], '" />
							</div>
						</form>
					</div>';

	echo '
				</td>
			</tr>
			<tr class="titlebg">
				<td colspan="2" align="center" style=" padding: 10px 0px 10px 0;">&nbsp;
				</td>
			</tr>			
		</table>
	</body>
</html>';
}

?>